SDL_HINT_MOUSE_DPI_SCALE_CURSORS(3)

NAME
SDL_HINT_MOUSE_DPI_SCALE_CURSORS - A variable setting whether we should scale cursors by the current display scale.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_MOUSE_DPI_SCALE_CURSORS "SDL_MOUSE_DPI_SCALE_CURSORS"

DESCRIPTION
The variable can be set to the following values:

• "0": Cursors will not change size based on the display content scale. (default)

• "1": Cursors will automatically match the display content scale (e.g. a 2x sized cursor will be used when the window is on a monitor with 200% scale). This is currently implemented on Windows.

This hint needs to be set before creating cursors.

AVAILABILITY
This hint is available since SDL 3.4.0.